%define anolis_release 1
%global srcname smmap

Name:           python-%{srcname}
Version:        5.0.0
Release:        %{anolis_release}%{?dist}
Summary:        Sliding window memory map manager

License:        BSD-3-Clause
URL:            https://github.com/gitpython-developers/smmap
Source0:        %pypi_source

BuildArch:      noarch

%global _description %{expand:
Smmap wraps an interface around mmap and tracks the mapped files as well as
the amount of clients who use it. If the system runs out of resources,
or if a memory limit is reached, it will automatically unload unused maps
to allow continued operation.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
* Fri Jan 26 2024 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.0.0-1
- init from upstream
